package ru.yandex.webmaster3.storage.util.ydb.querybuilder;

import java.util.Collection;
import java.util.List;

import ru.yandex.webmaster3.storage.util.ydb.ExecuteQuery;
import ru.yandex.webmaster3.storage.util.ydb.querybuilder.typesafe.ValueDataMapper;

/**
 * ishalaru
 * 01.02.2021
 **/
public class BatchDelete<T> extends BaseBatch<T> {

    public BatchDelete(String tablePrefix, String table, ValueDataMapper<T> valueDataMapper, Collection<T> items, ExecuteQuery executeQuery) {
        super(tablePrefix, table, OperationType.BATCH_INSERT, valueDataMapper, items, executeQuery);
    }

    @Override
    protected String operationDescription(String table) {
        return "DELETE FROM " + table + " ON\n";
    }
}
